What’s new in SAP BusinessObjects 4.0 SP7?


SAP released support package 7 just a few days ago. It comes right on the heals of SP6 and adds a few new features. When I say a “few new features” I mean it. This support pack is available as a full installation or upgrade and you will find the following additions plus a few more not mentioned. Check the links below for a full listing of new features and supported platforms.

  1. Updated option to auto-scale charts in Web Intelligence (Like they did in 3.1)
  2. Updated option to prevent axis values and data labels from overlapping in Web Intelligence (Like they did in 3.1)
  3. You can now adjust the color of some items in the chart in Web Intelligence.
  4. The full installer uses SQL Anywhere as the deafult CMS database
  5. Support for the DataDirect 7.0 ODBC driver
  6. New RESTful Web Services SDK file export options.
  7. More support for Windows 8
  8. Support for Windows 2012 Server
  9. Windows Active Directory 2012 is supported
  10. Support for SAP HANA SPS6
  11. Additional support for IE10 on Windows 2012 Server (Compatibility mode might be required)

Additional Documents:

SAP BusinessObjects 4.0 SP5+ PAM

SAP BusinessObjects 4.0 What’s New (With SP7)

Bob Zenker’s What’s New in SP7 Blog

Forward Fit information

Forward Fit Document

SP7 Includes fixes up to the following preceding patches:

BI 4.0 Patch 6.1 – 6.2
BI 4.0 Patch 5.6 – 5.9
BI4.0 Patch 4.12 – 4.15

17 comments

  1. Jonathan,

    I’m sorry, I can’t find it! I am looking on the page where we usually get our upgrades, in the SAP Software Download Center under My Company’s Application Components with the path on SAP Support reading “Installations and Upgrades – E -> SBOP EDGE BI -> SBOP EDGE BI 4.0” and the highest version listed there is SP06, dated May 21, 2013. Should I be looking elsewhere, or just wait a bit longer for it to appear on the site where I am looking?

  2. David,

    I see it listed under the “SBOP EDGE BI, VERSION WITH DATA INTEGRATION (FOR SAP ERP)” area within our SMP. The name is “ENTERPRISE07_0-20007504.EXE / SBOP BI Platform Servers 4.0 SP07”. Its also listed under the “SBOP BUSINESS INTELLIGENCE PLATFORM (SBOP ENTERPRISE)” area within our SMP. You might wan’t to open a ticket with SAP if you don’t see it.

    Thanks,

  3. I guess the updates of SP06 are included but not the patches. So, can we say that SP06 Patch 3 is better than SP07?

  4. Jonathan,

    I found it, thank you for your time. It wasn’t in Installations and Upgrades, like every other SP I have gotten, this one was in SBOP EDGE BI 4.0 (Support Packages and Patches).

    David Taylor

  5. Hi Jonathan,
    thank you for your listing!

    Will SP7 still flood the users desktop with files like TraceLog_2552_2013_08_06_13_27_09_326_trace.glf when using Java/rich internet app in IE?

    Best wishes from Germany,
    Bernd Salomon

  6. Hi,
    is there any suggestion or sap paper which sp and fp are the best to install? We are facing the issue that our system is on SAP BO SP04 Patch 16 and we would like to update because some translation manager things don’t work… But how to find out which version is the best? Do you have a suggestion? Maybe SP07 FP2 because it’s the last one?

    Best regards
    Ben

  7. Not that I am aware of. Its hard to say which SP and Patch version is the best for each situation. You can always read the release notes and what’s new guides and determine that for yourself.

  8. Thank you.

    As far as I know moving from 4.0 to 4.1 (recommended scenario) is kind of a migration project rather than just upgrade. I mean we have to install 4.1 and also Migrate Reports/Universes from 4.0 to 4.1 using LCM rather then just upgrading.Please correct me If I am wrong.

    Of course we might have to follow this process one or the other day.

  9. You do not have to migrate to 4.1 from 4.0. Infact the UMT (Upgrade Management Tool) and LCM does not currently support that. You can perform an inplace upgrade. I have conducted about 20+ such upgrades in the past few months. Just make sure you download the upgrade package and not the full install package.

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s